/* variables */
/* Background Colors */
:root {
  --bg-black-100: rgba(31, 31, 31, 0.9);
  --bg-white-100: #ddd;
  --bg-white-50: #eff0f4;
  --bg-white-25: #f5f5f5;
  --bg-white-10: #f5f5f5;

/* Text Colors */
  --text-black-900: #000;
  --text-black-700: rgb(37, 37, 37);
  --text-black-600: rgb(172, 172, 172);
  --text-black-400: rgba(221, 221, 221);
  --text-black-300: #f5f5f5;

/* Shadows */
  --shadow: 0 5px 200px rgba(0, 0, 0, 0.5);
}

body{
  font-size: 1em;
  line-height: 1.5;
  /* min-height: 1000vh; */
 
}

*{
  margin: 0;
  padding: 0;
  font-family:"Poppins", sans-serif;
  box-sizing: border-box;
  scroll-behavior: smooth;
  outline: none;
  list-style: none;
  text-decoration: none;
}

.container{
  margin: auto;
}

img{
  width: 100%;
}

.titleText, h2{
  color: #1a1a1a;
  font-size: 2em;
  font-weight: 300;
 
  span{
   color:rgb(37, 37, 37);
    /* color:#666666; */
   font-weight: 700;
   font-size: 1.5em;
  }
  
}
.title{ 
  width: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
} 
 
.titleText{
  align-items: center;
  justify-content: center;
  display: flex;
}
 /*  button style */
.btn-1{
  font-size: 16px;
  color: black;
  background-color:rgba(163, 52, 52, 0.933) ;
  padding: 10px 30px;
  display: inline-block;
  margin-top: 20px;
  text-transform: uppercase;
  letter-spacing: 2px;
  transition: 0.5;
  border-radius: 5px;
}

/*  navigation bar */
header{
  width: 100%;
  padding: 40px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: 0.5s;
  background: rgba(163, 52, 52, 0.933);

  &.sticky{
    background:#f5f5f5;
    padding: 10px 20px;
    box-shadow:#333333;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
  }

  .logo{
    color: rgb(37 37 37);
    font-weight: 700;
    font-size: 2em;
  }

  .MenuToggle{
    width: 20px;
    height: 20px;
    background: url(./image/menu\ open.png);
    cursor: pointer;
    filter: invert(1);


    &.active{
      background: url(./image/menu\ close.png);
      background-size: 20px;
      filter: invert(0);
      z-index: 1000;
    }
  }

  .nav{
    display: none;

    &.active{
      top: 0;
      left: 0;
      padding-left: 20px;
      display: flex;
      flex-direction: column;
      background: #f5f5f5;
      position: fixed;
      transition: all .5s ease;
      width: 100%;
      height: 100%;
      z-index: 10;

      li{
        border-bottom: 1px solid rgba(255, 255, 255, 0.3);
        padding: 20px 0;

        a{
          color:#000;
          font-size: 1.2rem;
          font-weight: 500;
        }
      }
    }

  }
}

.home{
  position: relative;
  width: 100%;
  min-height: 100vh;
  background:url(./image/home\ image.jpg) no-repeat;
  background-size: cover;
  align-items: center;
  justify-content: center;
  display: flex;
  

  .content{
    text-align: center;

    h2{
      font-size: 3em;
      font-weight: bolder;
      color: #f5f5f5;
      cursor:none ;
    }

    p{
      font-weight: bold;
      color: #f5f5f5;
    }
  
  }
}

.about{
  margin: 30px;
  text-align: center;
}

.about .col50{
  margin-bottom: 30px;
}

/* system section  from vscode*/
.system {
  padding: 80px 0;
  background: url("./image/pixabel.jpg") center/cover no-repeat;
}

.system .container{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.system .container .h2{
  padding-top: 5px;
}

.system .title{
  justify-content: space-evenly;
  margin-bottom: 30px;
}

.system .title h2 {
  color: rgb(37, 37, 37);
  font-weight: 400;
}
.title h2{
  padding-top: 0.05em; 
}

.title p {
  font-weight: 500;
  text-align: center;
  position: absolute;
  padding: 80px 20px 0 20px;
}

.system .timeline {
  flex: 1;
  width: 100%;
  position: relative;
}

.system .timeline::before {
  content: '';
  width: 1px;
  height: 100%;
  left: 50%;
  top: 0;
  background-color: #ddd;
  position: absolute;
}

.system .timeline .timeline-item {
  display: flex;
  justify-content: center;
  position: relative;
}

.system .timeline .timeline-item .timeline-item-inner {
  padding: 30px;
  border-radius: 5px;
  background: rgba(255, 225, 225, 0.1);
  box-shadow: 0 25px 45px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  position: relative;
}

.system .timeline .timeline-item .timeline-item-inner::before {
  content: "";
  position: absolute;
  width: 50px;
  height: 1px;
  background-color: #ddd;
  top: 37px;
  z-index: -1;
}

.system .timeline .timeline-item .timeline-item-inner span {
  font-weight: 500;
  color: white;
  display: block;
  margin-bottom: 10px;
  text-transform: capitalize;
  font-weight: bolder;
}

.system .timeline .timeline-item .timeline-item-inner h4 {
  font-size: 16px;
  font-style: italic;
  color: rgb(37, 37, 37);
  margin: 0;
}

.system .timeline .timeline-item .timeline-item-inner p {
  font-size: 20px;
  color: white;
  line-height: 26px;
  margin: 15px 0 0;
  font-weight: bolder;
}

/* new start of service */
.service{
  padding:80px 0 80px;
  min-height:100vh;

  .container{
    .title{
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      margin-bottom: 20px;
    }
    
    .menu{
      justify-content: center;
      align-items: center;
      position: relative;
      display: grid;
      max-width:100%;
      grid-template-columns: repeat(auto-fit, minmax(340px, 1fr) );
      
      &:hover{
        .row{
          .card{
            opacity: 0.2;
          }
        }
      }

      .row{
        background: #fff;
        position:relative;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;

        .card{
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          position: relative;
          background: #f5f5f5;
          margin: 20px;
          box-shadow: 0 5px 35px rgba(0, 0, 0, 0.08);
          transition: .5s;

          &:hover{
            opacity: 1;
          }

          .boxcard{
            width:340px;
            border: 15px solid #f5f5f5;
            box-shadow:0 4px 6px rgba(0, 0, 0, 0.1);
            transform: .5s;
            background-color:#f5f5f5;

            .imgBx{
              position: relative;
              width: 100%;
              height: 400px;

              img{
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                object-fit: cover;
              }
            }

            .text{
              padding: 15px 0 5px;
              display: flex;
              overflow: hidden;

              h3{
                font-weight: 400;
                color: #111; 
              }
              
              .label{
                #order{
                  position: relative;
                  cursor: pointer;
                  z-index: 1;
                  margin-left: 120px;
                  width: 40px;
                  color: #333;
                  font-size: 14px;
                  letter-spacing: 1px;
                  font-weight: 500;
                  border-radius: 15px;
                  background-color: #f5f5f5;
                  padding: 4px 25px;
                  box-shadow: 2px 2px 3px #bebebe,
                  -2px -2px 3px #fff;
                  transition:.5s;
                }
              }
            }

            #check{
              display: none ;

              &:checked{
                ~{
                  contentBx{
                    .content{
                      transform: translateX(0px);
                    }
  
                  &::before{
                    transform: scaleX(1);
                    transition: transform .5s ease-in-out;
                    transform-origin: left;
                    overflow: hidden;
                  }
                  }
                }
              }
             }

            .contentBx{

              .content{
                padding: 10px;

                div{
                  margin: 10px 0;
                }
                
                .details{
                  text-align: center;
                }

                label{
                  color: #0909098a;
                }
                input, select{
                  width: 100%;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                  padding: 8px 10px;
                  border-radius: 5px;
                }

                div.end{
                  text-align: center;
                }

                button{
                 
                  width: 50%;
                  max-width: 100px;
                  padding: 10px 20px;
                  border-radius: 5px;
                  border: 1px solid rgba(0, 0, 0, 0.2);
                }

                 #confirm {
                  display: inline-flex;
                  align-items: center;
                }

                 #confirm i {
                 margin-left: 5px; /* Adjust the value as needed */
                }

                
  

              }
            }

          }
        }
      }
    }
  }
}

/* Testimonial section */
.testimonials{
  padding: 80px 0 80px;
  min-height: 100vh;
  background-image:url(./image/basket5.jpg) ;
  background-size: cover;

  .title{
    titleText p{
      color:#f5f5f5 ;
    }

    h2{
      span{
        color:#000;      
      }
    }
  }

   h2{
    color: #000;
    font-weight: 2px bolder; 
    align-items: center;
   }

   p{
    font-weight: 2px bolder #000;
   }

  .content{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
    margin: 40px 0 0;

    .box{
      width: 340px;
      margin: 20px;
      padding: 40px;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      border-radius: 15px;
      position: relative;
      z-index: 100;
      background:rgba(255, 255, 255, 0.1);
      box-shadow: 0 25px 45px rgba(255, 255, 255, 0.1);
      border: solid 1px rgba(255, 255, 255, 0.25);
      border-right: 1px solid rgba(255, 255, 255, 0.1);
      border-bottom: 1px solid rgba(255, 255, 255, 0.1);
      overflow: hidden;
      backdrop-filter: blur(25px);

      .imgBx{
        position: relative;
        width: 100px;
        height: 100px;
        margin-bottom: 20px;
        border-radius: 50px;
        overflow: hidden;

        imag{
          position: absolute;
          top: 0;
          left: 0;
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
      .text{
        text-align: center;

        P{
          color: #000;
          font-style:italic;
        }

        h3{
          margin-top: 20px;
          color: #000;
          font-size: 1em;
          font-weight: 600;
        }
      }
    }
  }
}

/* contact section */
.contact{
  padding: 80px 0 80px;
  min-height: 100vh;

  p{
    padding: 0 20px;
    text-align: center;
  }

  .box{
    margin-top: 50px 0;
    padding: 15px;

    .contactForm{
      border-radius: 10px;
      padding: 40px;
      background: #f5f5f5;
      box-shadow:#bebebe;
      margin-bottom: 20px;

      h3{
        color: #000;
        font-size: 1.2em;
        margin-bottom: 20px;
        font-weight: 500;
      }

      .inputBox{
        position: relative;
        width: 100%;
        margin-bottom: 20px;
        font-weight: 300px;

        .input, textarea{
          width: 100%;
          background:#f5f5f5;
          border-radius: 5px;
          border: 1px solid rgba(31, 31, 31, 0.9);
          padding: 10px;
          color: rgba(31, 31, 31, 0.9);
          outline: none;
          font-size: 16px;
          font-weight: 300;
          resize: none;   
        }

        input[type="submit"]{
          font-size: 1em;
          color: #ddd;
          background: #000;
          display: inline-block;
          text-transform: uppercase;
          text-decoration: none;
          letter-spacing:2px ;
          transition: .5s;
          max-width:100px;
          font-weight: 500;
          border: none;
          cursor: pointer;
          padding: 10px 30px; 
          border-radius: 5px;
        }
        
      }
    }
  }

  .map{
    position: relative;
    padding: 25px;
    height: 405px;
    box-shadow: #eff0f4;
    background:#f5f5f5;
    border-radius:10px;

    iframe{
      width: 100%;
      height: 350px;
      box-shadow: #bebebe;
      border: 0;
      border-radius: 5px ;
    }
  }

  .icon-container{
    margin-top: 50px;
    width: 100%;
    color: #000;
    background:#f5f5f5 ;
    position: relative;
    box-shadow: rgba(0, 0, 0, 0.5);
    padding: 10px 10px 10px 15px;

    .icons{
      margin: 5px;
      position: relative;
      text-align: center;

      span{
          font-size: 1rem;
          font-weight: 600;
      }

      p{
        font-size: 1rem;
        justify-content: space-around;
        align-items: center;
      }
    }
  }
} 

.cp{
  padding: 8px 40px;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  text-align: center;
  justify-content: center;

  p{
    color:rgb(172, 172, 172);
    font-weight: 500;
    text-decoration:n;
  }
}

/* Tablet  L=425 M=375*/ 
@media screen and (min-width: 768px) {
  header {
    .MenuToggle{
      display: none;
    }

    .nav, .nav.active{
      position: relative;
      display: flex;
      flex-direction: row;
      background: transparent;
      padding-left: unset;
      transition: unset;

      li{
        margin: 0 0 0 20px;
        border-bottom: none;
        padding: 0;
  
        a{
          color: rgb(37 37 37);
          font-weight: 300;
          font-size: 1.2rem;
  
          &:hover{
            color: black;
          }
        }
      }
    }
  }

  .home .content h2{
    font-size: 5em;
    font-weight: 400;
  }
  .home .content p{
    font-size: 1.2em;
  }

  /* about section from vs code */
  .about {
    padding: 80px 0 80px;
    min-height: 100vh;
    margin: 0;
    text-align: left;
  }

  .about .row {
    position: relative;
    width: 100%;
    display: flex;
    flex: 0 0 50%;
    padding: 15px;
    justify-content: space-between;
    margin-top: 100px;
  }

  .about .row:nth-child(2) img,
  .about .row:nth-child(3) img {
    width: 70%;
  }

  .about .row:nth-child(even) {
    flex-direction: row-reverse;
  }

  .about .col50 {
    position: relative;
    width: 48%;
    margin-bottom: 0;
  }

  .about .col50 .imgBx {
    position: relative;
    height: 100%;
  }

  .about .col50 img {
    position: absolute;
    height: 100%;
  }

  .about .col50 .titleText {
    color: #000;
    font-size: 2em;
    font-weight: 300;
  }

  .about .col50 .titleText span {
    color: rgb(172, 172, 172);
    font-weight: bold;
    font-size: 1.5em;
  }
  /* about section end */

  /* system section  from vscode*/
  .system .timeline .timeline-item:nth-child(odd) {
    padding-right: calc(50% + 15px);
  }
  
  .system .timeline .timeline-item:nth-child(even) {
    padding-left: calc(50% + 15px);
  }

  .box{
    display: flex;
    justify-content: space-evenly;
  }

  .contactForm{
    width: 50%;
  }

  .map{
    width: 45%;
  }

  .icon-container{    
    display: flex;
    flex-direction: row;
    justify-content: space-around;
  }

}

/* Desktop */
@media screen and (min-width: 1024px) {

}

/* Responsive styles for smaller devices */
